﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VisualComponents.Create3D;
using VisualComponents.UX.Shared;

namespace HelloWorldDemo.Ribbon
{
    [Export(typeof(IActionItem))]
    class HelloWorldCommand : ActionItem
    {
        private ISelectionManager _selectionManager;

        [ImportingConstructor]
        public HelloWorldCommand([Import]ISelectionManager selectionManager)
            : base("HelloWorldCommandId", "Say Hello", "rMeasure", null, MenuTools.ButtonTool, true)
        {
            _selectionManager = selectionManager;
            _selectionManager.SelectionChanged += _selectionManager_SelectionChanged;

            canExecute = IsExecutable;

            this.ToolTipVisibility = System.Windows.Visibility.Visible;
            this.ToolTipHeader = "<Tooltip Header>";
            this.ToolTipContent = "<My tooltip content>";
        }

        private bool IsExecutable()
        {
            ISimComponent selected = _selectionManager.GetSelected<ISimComponent>();
            return selected != null;
        }

        void _selectionManager_SelectionChanged(object sender, EventArgs e)
        {
            EvaluateCanExecute();
        }

        public override void Execute()
        {
            string componentName = _selectionManager.GetSelected<ISimComponent>().Name;
            VcMessageBox.Show(String.Format("Hello {0}!", componentName));
        }
    }
}
