﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VisualComponents.Create3D;
using VisualComponents.UX.Ribbon;
using VisualComponents.UX.Shared;

namespace HelloWorldDemo.Ribbon
{
    [Export(typeof(IRibbonTab))]
    class HelloWorldRibbonTab : RibbonTabBase
    {
        [ImportingConstructor]
        public HelloWorldRibbonTab([Import]ILocalizationService localizationService, [ImportMany]IEnumerable<IRibbonGroup> groups)
            : base(localizationService, groups)
        {
        }

        public override string ContextualTabGroupKey
        {
            get { return String.Empty; }
        }

        public override string Header
        {
            get { return "HELLO WORLD"; }
        }

        public override string Id
        {
            get { return "HelloWorldTabId"; }
        }

        public override string Name
        {
            get { return Id; }
        }

        // Deprecated
        public override double Order
        {
            get { return Double.MaxValue; }
        }
    }
}
